Ardour can't launch after some updates in Avlinux3.r1!

13 replies [Last post]
Motrax
User offline. Last seen 3 years 38 weeks ago. Offline
Joined: 2009-05-11
Posts:

Hello..

I'd installed AVlinux3.r1... It worked fine!... Some bugs with ardour but we could work with it!...
Then as usually i updated my system with Synaptic.. i looked at "upgradable software" and select items...
And for the last update ardour didn't launch! I don't understand!.. Many try... ardour couldn't launch! reinstall uninstall! nothing! Hydrogen audacity and others no problem to launch! What's the matter? I decided to reinstall all AVlinux 3.1.. and now of course ardour launch! Then i have to upgrade some packages... I choose first to upgrade - just to verify something - librdf (redland-utils) rasqal (0.9.16-2 ==> 0.9.17-1.i386.deb) etc.. Ardour didn't never want to launch... I wanted to return to previous version - it selected ardour to uninstall! no understand for me! problem around this librasqal2 (version2), librdf (rdf)... So be carefull with these! Is there something to do to correct this desagreement.. I'm going to reinstall AVlinux and avoid to upgrade to rasqal2 (to select rdf)!... Someone can help? thanks! :-(

GMaq
GMaq's picture
User offline. Last seen 2 days 20 hours ago. Offline
Joined: 2007-12-11
Posts:

The problem is that for some reason the update to librasqal2 does not seem to link properly in Debian testing (not just AV Linux), there is actually another post on the Ardour forum about this. A quick and dirty way to fix this is to manually symlink the 2 versions of librasqal like this, Open a root terminal and enter this command:

ln -s /usr/lib/librasqal.so.2 /usr/lib/librasqal.so.1

That should fix it.

Motrax
User offline. Last seen 3 years 38 weeks ago. Offline
Joined: 2009-05-11
Posts:

This update, is it so important? It's a dirty way? Maybe it will be fixed in next version? if i'll be forced to do that then i will do! and post results here.. thanks GMaq!

GMaq
GMaq's picture
User offline. Last seen 2 days 20 hours ago. Offline
Joined: 2007-12-11
Posts:

Motrax,

No update is ever important if your system is working properly, if you are not using Midi Machine Control or a control surface you probably don't need to update. The fix above isn't a "dirty hack" that will wreck anything, if it ever caused trouble you simply would have to delete the link . However it really shouldn't be necessary and it seems to affect Debian Testing and not Sid/Unstable. Whether the inabilility for Ardour to link to the correct librasqal is an Ardour issue or a Debian issue I don't know. I have spoken to the Debian Ardour packager and since this problem doesn't affect unstable or his build environment they will not be fixing it. I have fixed it with the symlink in AV Linux and that will be the recommended way to fix it for the time being. You should never feel forced to do any update or upgrade, this fix works but you certainly don't need to use it if you would rather not.

the C.L.A.
the C.L.A.'s picture
User offline. Last seen 2 weeks 3 days ago. Offline
Joined: 2006-12-03
Posts:

@GMaq
Whether the inabilility for Ardour to link to the correct librasqal is an Ardour issue or a Debian issue I don't know.

As I allready wrote in the other thread: It's not an Ardour issue, but most likely the Debian packages of slv2 and Ardour have to be rebuild to use the new version of librasqal - at least that was what solved it on my Arch Linux system.

GMaq
GMaq's picture
User offline. Last seen 2 days 20 hours ago. Offline
Joined: 2007-12-11
Posts:

@the C.L.A.

Thanks for mentioning that, I should clarify I was referring to the Ardour Debian package vs the other related packages, not the app itself.

Motrax
User offline. Last seen 3 years 38 weeks ago. Offline
Joined: 2009-05-11
Posts:

Thanks for your contribution...
For the moment i do not upgrade rasqal rdf etc... Some bugs sometime like ardour whose disappear but i save often project and i can work like that...
thanks!

Motrax
User offline. Last seen 3 years 38 weeks ago. Offline
Joined: 2009-05-11
Posts:

Is this link helpful?
http://subversion.ffado.org/wiki/AvoidingParallelInstallations

GMaq
GMaq's picture
User offline. Last seen 2 days 20 hours ago. Offline
Joined: 2007-12-11
Posts:

Motrax,

Thanks for sharing that link, it is certainly helpful generally speaking. The Debian/Ardour problem is not so much a parallel installation issue but a proper linking issue. Installing Ardour 2.8.6 will make librasqual1 obsolete and thus an autoremovable package, Even if you remove librasqal1 if you do the 'ln -s /usr/lib/librasqal.so.2 /usr/lib/librasqal.so.1' it still works even though there is no longer a librasqal1 on the system. In essence you are simply manually doing ldconfig's job for it.

Motrax
User offline. Last seen 3 years 38 weeks ago. Offline
Joined: 2009-05-11
Posts:

GMaq,

ok i understand! thanks..
best,

Motrax
User offline. Last seen 3 years 38 weeks ago. Offline
Joined: 2009-05-11
Posts:

Hey.. Thanks for all!

New Avlinux 3.0r1 download: http://www.bandshed.net/iso/

which seems to correct this!

http://www.bandshed.net/iso/AVLinux3.0R1-20100201-Changelog.txt

I'm downloading it... I will try..
next.

leolo
User offline. Last seen 4 years 10 weeks ago. Offline
Joined: 2009-11-19
Posts:

i'm sorry, i don't speak english.
where can i get the manual for ARDOUR 2.8.2 (or any) in spanish?
I appreciate the support, greetings from chile
thanks

Motrax
User offline. Last seen 3 years 38 weeks ago. Offline
Joined: 2009-05-11
Posts:

hello..

Maybe look at this page?

http://www.gtkfiles.org/version.php?soft_id=2002

Motrax
User offline. Last seen 3 years 38 weeks ago. Offline
Joined: 2009-05-11
Posts:

Ardour 2.8.6 works now with this new version of Avlinux... If something goes wrong i will tell you..

New Avlinux 3.0r1 download see: http://www.bandshed.net/AVLinux.html